Skip to main content
GET
/
risk
/
yields
Get risk-adjusted yields
curl --request GET \
  --url https://api.circular.rosetta.sh/api/v1/risk/yields \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "marketId": "<string>",
      "collateral": "<string>",
      "loan": "<string>",
      "totalApy": 123,
      "sharpeProxy": 123,
      "riskScore": 123,
      "riskDecomposition": {
        "utilization": 123,
        "concentration": 123,
        "leverage": 123,
        "volatility": 123,
        "oracle": 123
      },
      "volatility": {
        "day30": 123,
        "day90": 123
      },
      "maxDrawdown": 123,
      "stabilityPercentile": 123
    }
  ],
  "meta": {
    "latencyMs": 123,
    "freshness": "<string>",
    "source": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key in format circ_live_* or circ_test_*

Response

200 - application/json

Risk-adjusted yield data

data
object[]
meta
object